%global fontname trabajo
%global fontconf 62-%{fontname}.conf


Name:           %{fontname}-fonts
Version:        2.0
Release:        3%{?dist}
Summary:        Latin Serif font that supports Shavian alphabet

License:        OFL
URL:            http://openfontlibrary.org/font/trabajo
Source0:        http://openfontlibrary.org/assets/downloads/trabajo/d8bc760f033341f410d8b1ee698609fb/trabajo.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  dos2unix
Requires:       fontpackages-filesystem

%description
Designed for use with the Shavian alphabet, a phonemic spelling reform proposal
for English, but also supports extended Latin, and basic Cyrillic. "Trabajo"
(pronounced [tɾaˈβaxo] if you're Spanish or [tɹəˈbɑːhoʊ] if you're English)
is Spanish for "I work". Trabajo has become a Serif font as of version 2.0,
for improved appearance.

%prep
%setup -q -c
dos2unix OFL.txt

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc OFL.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Thu Oct 16 2014 Parag Nemade <pnemade AT redhat DOT com> - 2.0-3
- Add metainfo file to show this font in gnome-software

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Parag Nemade <pnemade AT redhat DOT com> - 2.0-1
- Initial Fedora release.

